Summary: A printer configuration tool with a graphical user interface.
Name: printtool
Version: 3.54
Release: 1
Copyright: GPL
Group: Applications/Publishing
Source: printtool-%{PACKAGE_VERSION}.tar.bz2
Requires: ghostscript, tcl, tk, control-panel, rhs-printfilters >= 1.73, LPRng
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-root

%description
The printtool is a printer configuration tool with a graphical user
interface.  Printtool can manage both local and remote printers,
including Windows (SMB) and NetWare (NCP) printers.

Printtool should be installed so that you can manage local and remote
printers.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib/rhs/control-panel}

make	PREFIX=$RPM_BUILD_ROOT/usr \
	INSTALLBIN="install -m0755" INSTALLDATA="install -m0644" \
	install

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/System
install printtool.desktop $RPM_BUILD_ROOT/etc/X11/applnk/System

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES
/usr/bin/printtool
/usr/lib/rhs/control-panel/printtool.init
/usr/lib/rhs/control-panel/printtool.xpm
%attr(0600,root,root)	%config(missingok) /etc/X11/applnk/System/printtool.desktop

%changelog
* Sat Aug 19 2000 Crutcher Dunnavant <crutcher@redhat.com>
- printtool now DOES NOT COPY the master-filter from the
- rhs-printfilters directory. It SYMLINKS it. This is a
- Good Thing (tm), and goes allong with the 
- rhs-printfilters >= 1.80 way of doing things.

* Mon Aug  7 2000 Crutcher Dunnavant <crutcher@redhat.com>
- WOW, the case when printtool found multiple printers
- during probing was really broken. Fixed it now,
- it tells you about every printer it finds, but only
- suggests the first one

* Mon Aug  7 2000 Crutcher Dunnavant <crutcher@redhat.com>
- Added simple probing of the USB printers

* Mon Aug  7 2000 Crutcher Dunnavant <crutcher@redhat.com>
- Changed the hadling of 'asc' prefered printers so that they
- don't try to translate ascii to postscript

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add Swedish and German translations to desktop file, Bug #15359

* Thu Aug  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't make files containing cleartext printer passwords (SMB) world-readable
  Bug #10094)

* Mon Jul 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- switch lpd_bounce to true for network spools to get filtering to work right
- sync up version numbering in the script with the spec file
- change dependency to LPRng
- fix ownership to lp.lp when copying files

* Sat Jun 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- change permissions on spool directories for LPRng (Bug #12271)
- wmconfig->desktop

* Thu Feb 10 2000 Bill Nottingham <notting@redhat.com>
- ppa support <f.d.m.haldane@mciworld.com>

* Tue Oct  5 1999 Bill Nottingham <notting@redhat.com>
- fix printer port detection

* Tue Aug 24 1999 Bill Nottingham <notting@redhat.com>
- don't put spaces in a spool directory

* Sat Aug 21 1999 Bill Nottingham <notting@redhat.com>
- add ignore stuff

* Mon Aug  7 1999 Bill Nottingham <notting@redhat.com>
- should require ghostscript

* Fri Mar 19 1999 Bill Nottingham <notting@redhat.com>
- text changes

* Mon Feb  9 1999 Bill Nottingham <notting@redhat.com>
- uniprint support, courtesy Osamu Aoki

* Mon Dec 28 1998 Bill Nottingham <notting@redhat.com>
- ditto

* Tue Dec  8 1998 Bill Nottingham <notting@redhat.com>
- oops. fix SMB printers, again

* Wed Nov 18 1998 Bill Nottingham <notting@redhat.com>
- add workgroup field for SMB printers

* Fri Oct  2 1998 Bill Nottingham <notting@redhat.com>
- fix typo

* Thu Sep  9 1998 Bill Nottingham <notting@redhat.com>
- fix description

* Thu Sep  2 1998 Bill Nottingham <notting@redhat.com>
- added NCP support

* Sun Aug 23 1998 Jeff Johnson <jbj@redhat.com>
- /etc/rc.d/init.d/lpd.init is now just lpd. (problem #768)

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed Nov 26 1997 Michael Fulbright <msf@redhat.com>
- fixed to print warning if smbclient not installed

* Fri Nov  7 1997 Michael Fulbright <msf@redhat.com>
- added wmconfig

* Wed Nov  5 1997 Michael Fulbright <msf@redhat.com>
- fixed add/edit printer boxes with new packing cause old one broke bad

* Wed Oct 22 1997 Michael Fulbright <msf@redhat.com>
- put nice new xpm icon in place
- fixed up help titles
- corrected lots of misspellings

* Tue Oct 14 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

* Tue Apr 22 1997 Michael Fulbright <msf@redhat.com>
- Moved to version 3.2.
- Fixed problem with EXTRA_GS_OPIONS

* Fri Mar 12 1997 Michael Fulbright <msf@redhat.com>
- Moved up to version 3.1.
- Added support for mpage - allows nup printing and adjustable margins.
- Simplified configuraion for stair-stepped text and sending EOF.
- Fixed PS filter to send a '\004' instead of a '\014' as EOF character.

* Wed Mar 12 1997 Michael Fulbright <msf@redhat.com>
- Added A4 paper test page support. 

* Fri Mar  7 1997 Michael Fulbright <msf@redhat.com>
- Split print filters off into rh-printfilters package.
- Removed some undesirable debug messages.

* Fri Feb 14 1997 Michael Fulbright <msf@redhat.com>
- Fixed a 'sh -x' left in head of smbprint script
